@import url('https://fonts.googleapis.com/css2?family=Space+Mono:wght@700&display=swap');

* {
    padding:0;
    margin:0;
    vertical-align:baseline;
    list-style:none;
    border:0
}

body {
    font-family: 'Space Mono', monospace;
    background-color: #C5E4E7;

}

main{
    display: flex;
    align-items: center;
    justify-content: center;
}

p {
    color: hsl(186, 14%, 43%);
    font-size: 0.95em;
}

.attribution { 
    font-size: 11px; 
    text-align: center; 
}
.attribution a { 
    color: #3e52a3; 
}

.content {
    display: flex;
    margin-top: 9%;
    padding: 25px;
    height: 300px;
    width: 650px;

    background-color: #ffffff;
    border-radius: 20px;
}

#total {
    display: flex;
    flex-direction: column;
    margin-left: 40px;
    width: 270px;
    padding: 30px;

    background-color: #00474B;
    border-radius: 15px;
}

#total span {
    font-size: 12px;
    color: hsl(184, 14%, 56%);
}

#total p {
    color: hsl(185, 41%, 84%);
    font-size: 20px;
}

#total button {
    align-self: center;
    margin-top: 20%;
    cursor: pointer;

    font-family: 'Space Mono', monospace;
    font-size: 18px;
    background-color: #26c0ab;
    color: #00474B;

    width: 100%;
    height: 40px;
    border-radius: 5px;
}


.infos{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

input {
    border: solid 1px;
}

.radio{
    cursor: pointer;
}

.radio input {
    display: none;
  }

.radio span {
    display: inline-block;
    width: 80px;
    height: 35px;

    background-color: #00474B;
    color: #ffffff;
    border-radius: 3px;

    text-align: center;
    font-size: 1.15em;
    padding-top: 3px;
}

.radio input:checked + span {
    background-color: #26c0ab;
    color: #00474B;

    transition: all 0.25s linear;
}

#custom {
    width: 80px;
    height: 35px;
    background-color: #e2e2e2;
    border: 0;
    padding-right: 5px;
    border-radius: 5px;

    cursor: pointer;

    font-family: 'Space Mono', monospace;
    text-align: end;
    color: #00474B;
    font-size: 1.30em;
}

#custom::placeholder {
    font-family: 'Space Mono', monospace;
    text-align: center;
    color: #416466;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

i {
    margin-left: 40px;
    font-style: normal;
    font-size: 30px;
    color: #26c0ab;
}

i img {
    width: 15px;
}

.input-number {
    display: block;
    border-radius: 5px;

    cursor: pointer;

    background-color: #e2e2e2;
    color: #00474B;
}

.input-number input {
    width: 262px;
    height: 30px;
    border: 0;
    border-radius: 5px;
    background-color: transparent;
    padding-right: 5px;

    cursor: pointer;

    font-family: 'Space Mono', monospace;
    text-align: end;
    font-size: 1.35em;
    color: #00474B;
}

input:focus {
    outline: solid 2px #26c0ab;
}

span img {
    position: absolute;
    width: 15px;
    margin-top: 4px;
    margin-left: 8px;
}